/* Keep these headers */
#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>
#include <ti84pce.h>

/* Standard headers - it's recommended to leave them included */
#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "tiles.h"
#include "tilesplayer.h"
#include "rle.h"
#include "mem.h"
#include "screen8bpp.h"

uint8_t* tilesp[NTILESP] = {0};

/* Your code here */
void initTilesP(uint8_t** tilesp)
{
    uint8_t i;
    // tiles data is RLE-compressed
    // bits 0-2 : color ID (3-bits)
    // bits 3-7 : number (5-bits)
    // 0 value for end of data
    uint8_t tilesp_C[] = {54,32,94,48,86,48,94,32,110,16,38,8,70,32,30,8,62,48,22,8,54,64,14,8,46,16,14,32,14,8,14,8,46,8,30,16,22,24,38,16,22,32,30,8,70,32,30,8,70,8,22,8,30,8,62,16,22,16,22,8,62,8,38,8,22,8,54,16,38,16,38,0};
    for(i=0; i<NTILESP; i++)
    {
        tilesp[i] = myMalloc(TILE_SIZE*TILE_SIZE);
        decompRLE(tilesp[i], tilesp_C, 3, 0, 0, 0, BACKCOL_ID, 6+i);
    }
}